Subject: [Softwires] Port allocation considerations (UPnP friendly and odd-even pairs possible) for 4rd

From: <[email-masked]>
Date: Wed, 10 Aug 2011 16:19:36 +0800

Ole, 

|-----Original Message-----
|From: Ole Troan [mailto:[email-masked]] 
|Sent: Tuesday, August 09, 2011 11:08 PM
|To: DENG Xiaohong ESP/PEK
|Cc: Tetsuya Murakami; Satoru Matsushima; Rémi Després; Dan Wing
|Subject: Re: Port allocation considerations for 4rd
|
|Xiaohong,
|
|> Like I stated in the former mail in this thread, I'm not suggesting 
|> 4rd use the exact algorithm as mine, but just suggesting 4rd 
|algorithm 
|> should take 2 more points in to account, as what Remi 
|summarized in this thread before:
|> (a) optimize chances of UPnP to ask for an acceptable port 
|when trying _consecutive ports_.
|> (b) mitigate this requirement to have odd-even pairs in the port sets
|
|if I interpreted Dan Wing's comments correctly, it is not at 

Yes, you made it clearly.

|all clear that these should be requirements for a port mapping 
|algorithm.

If I don't recall wrong, in the previous discussion, there are still other
points, for example, legacy FTP implementations (do not extended
to RFC2428) couple even-odd ports, to make this consideration 
open to discuss.

P.S I extend this discussion to the list to lead to more comments to us,
hopefully.;-)

Xiaohong

|
|cheers,
|Ole
|
|